<?php

// Below is a very simple PHP 5 script that hosts the RPX sign-in interface, and also acts as the token_url.  
// If a token is present it processes the token using the backchannel auth_info API call.  Otherwise it simply 
// renders the RPX interface using the embeded iframe.

//
// Please replace the following values:
//

$apiKey = a6157d1189e1e896995c6c7bc4d4da42f586229f;
$port = $_SERVER['SERVER_PORT'] == '80' ? '' : ':'.$_SERVER['SERVER_PORT'];

// this script will also process the token url
$token_url = 'http://' . $_SERVER['SERVER_NAME'] . $port . $_SERVER['SCRIPT_NAME'];

if(isset($_SESSION['rpx_token'])) {  

$post_data = array('token' => $_SESSION['rpx_token'],
                   'apiKey' => $apiKey,
                   'format' => 'json'); 

// make the api call using libcurl
$curl = curl_init();
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_URL, 'https://rpxnow.com/api/v2/auth_info');
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, $post_data);
curl_setopt($curl, CURLOPT_HEADER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
$raw_json = curl_exec($curl);
curl_close($curl);

// parse the json response into an associative array
$auth_info = json_decode($raw_json, true);

} ?>