<?php
/*=========================================================+
|| # Azure Files of XDRCMS. All rights reserved.
|| # Copyright  2012 Xdr.
|+=========================================================+
|| # Xdr 2012. The power of Proyects.
|| # Este es un Software de cdigo libre, libre edicin.
|+=========================================================+
*/

define("LoadAzure", "TRUE");
define("LoadCommunity", "purchase.php");
define("LoadSubHeaders", "purchase");
require_once('./Kernel/Init.php');

?>
    <div id="container">

        <div id="payment-details-container">
    
    <div id="payment-details-header">
        <div class="rounded"><h1>Confirma la compra de <?php echo $shortname; ?> Crditos</h1></div>
    </div>
    
    <form id="proceedForm" method="post">
        <input type="hidden" name="confirm" value="true"/>
        <input type="hidden" name="pricePointId" value="1920"/>
        <input type="hidden" name="methodGroupId" value="12951"/>

        
        <input type="hidden" name="selectedMethodId"/>
               
        <div id="payment-details">
	    	        
            <h2>Vista general del pedido</h2>
                        
            <table>
                <colgroup>
                    <col class="product"/>
                    <col class="price"/>
                    <col class="user"/>

                </colgroup>
                <thead>
                    <tr>
                        <th class="credit-amount">Producto</th>
                        <th class="price">Precio</th>
                        <th class="username">Para el <?php echo $shortname; ?></th>
                    </tr>

                </thead>
                <tbody>
                    <tr>
                        <td class="credit-amount">
                            <span class="credit-amount"><?php echo $item_id; ?></span>
                            <span class="credit-amount-x"></span>
                            <span class="credit-amount-coin"></span>
                        </td>

                        <td class="price">
                                <?php echo $item_cost; ?> Pxeles
                        </td>
                        <td class="username"><?php echo $my_name; ?></td>
                    </tr>
                </tbody>
            </table>

		    

            <div id="payment-methods" >
                <h2>Pagar con</h2>
                <ul class="clearfix payment-methods-3">
                    <li><a href="<?php echo PATH; ?>/purchase/proceedWithPayment?Payment_id=<?php echo $payment_id; ?>" class="large-button logo-button"><span><img alt="Pxeles" src="http://www.xdrcms.com/habbo/web-gallery/v2/images/activitypoints/pixeles.png"/></span><i></i></a></li>
                </ul>
            </div>

            <div style="color: red; font-size: 8pt; margin: 10px;" class="method idx1">
                <div class="method-content">
                    <div>Advierte que comprando <?php echo $shortname; ?> Crditos aceptas nuestros <a href="<?php echo PATH; ?>/papers/termsAndConditions" target="_blank" class="terms">Trminos del Servicio</a></div>
                </div>
            </div>            

        </div>
        
    </form>

    <div class="disclaimer">
        <h3><span>Pide permiso siempre</span></h3>
        Pide permiso siempre a la persona que vaya a pagar la compra. Si no cumples con esto y tu compra es posteriormente cancelada, sers expulsado de forma permanente. Si tienes problemas, contctanos a travs del <a onclick="openOrFocusHelp(this); return false" target="habbohelp" href="/help">Ayudante del Habbo</a>.
    </div>

</div>


<p style="font-size: 8pt; margin-top: 30px;">
    <a style="color:#eff" href="<?php echo PATH; ?>/credits">Back to credits page</a>

</p>

<script type="text/javascript">Rounder.init();</script>
    </div>

<script src="https://ssl.google-analytics.com/ga.js" type="text/javascript"></script>
<script type="text/javascript">
var pageTracker = _gat._getTracker("UA-448325-19");
pageTracker._trackPageview();
</script>
</body>
</html>