<?php
/*=========================================================+
|| # XdrCMS - Sistema de administracin de contenido Habbo.
|+=========================================================+
|| # Copyright  2010 Xdr. All rights reserved.
|| # http://www.xdrcms.es/
|+=========================================================+
|| # Lns 2010. The power of Proyects.
|| # Este es un Software de cdigo libre, libre edicin.
|+=========================================================+
|| # Todas las imagenes, scripts y temas
|| # Copyright (C) 2010 Sulake Ltd. All rights reserved.
|+=========================================================*/

require_once('./includes/core.php');

if(LOGGED != "null"){ header("Location:".PATH); exit; }

$pagename = "embedded_signin.title";
$bodyid = "signin";
require('templates/register_subheader.php');
?>
<div id="container" class="phase-none">
  <div id="content">

    <p class="phishing-warning">Por favor, asegrate de que la URL en la barra de direcciones comienza por <?php echo webgallery; ?>/</p>
	<div class="signin-container clearfix">
	  <div class="signin-header">Conexin</div>
	  <div id="register-content">
        <div class="auth-providers">
    <p>Tambin puedes conectarte usando una de estas opciones</p>
    <ul>

        <?php if(getRpx("facebook_api", true)){ ?>
        <li class="facebook">
            <a href="#" onclick="FB.Connect.requireSession(logged_in); return false;" class="fbconnect_login_button">Facebook</a>
        </li>
		<?php } if(getRpx("rpx_api", true)){ $url_rpx = getRpx("rpx_url"); ?>
		<li class="twitter"> 
            <a href="#"></a> 
<form method="post" action="<?php echo $url_rpx; ?>" target="rpx_login"> 
    <input type="submit" value="twitter"/> 
</form> 
        </li> 
        <li class="google"> 
            <a href="#"></a> 
<form method="post" action="<?php echo $url_rpx; ?>" target="rpx_login"> 
    <input type="hidden" value="https://www.google.com/accounts/o8/id" name="openid_identifier" id="openid_identifier"/> 
    <input type="submit" value="google"/> 
</form> 
        </li> 
		<li class="hyves"> 
            <a href="#"></a> 
<form method="post" action="<?php echo $url_rpx; ?>" target="rpx_login"> 
    <input type="hidden" value="http://hyves.net/" name="openid_identifier" id="openid_identifier"/> 
    <input type="submit" value="hyves"/> 
</form> 
        </li> 
        <li class="windowslive"> 
            <a href="#"></a> 
<form method="post" action="<?php echo $url_rpx; ?>" target="rpx_login"> 
    <input type="submit" value="windowslive"/> 
</form> 
        </li> 
		<li class="yahoo"> 
            <a href="#"></a> 
<form method="post" action="<?php echo $url_rpx; ?>" target="rpx_login"> 
    <input type="hidden" value="http://yahoo.com" name="openid_identifier" id="openid_identifier"/> 
    <input type="submit" value="yahoo"/> 
</form> 
        </li>
		<?php } ?>
        
    </ul>
</div>
<div id="signin-page" class="register-content" style="clear: left" class="clearfix">

<form action="<?php echo webgallery; ?>/account/submit" method="post" id="embedded-login">
    <div class="field">
        <label for="login-username" class="login-text">Email o <?php echo $shortname; ?> Nombre</label>
        <input tabindex="1" type="text" class="text-field" name="credentials.username" id="login-username" value="" maxlength="48" class="text-field"/>

    </div>
    <div class="field">
        <label for="login-password" class="login-text">Contrasea</label>
        <input tabindex="2" type="password" class="password-field" name="credentials.password" id="login-password" maxlength="32" class="password-field"/>
    </div>
    <div class="field rememberme-field">
        <input tabindex="3" type="checkbox" name="_login_remember_me" id="login-remember-me" value="true"/>
        <label for="login-remember-me">Recurdame</label>

    </div>
    <input type="submit" value="Entra" class="submit" id="login-submit-button"/>
    <a href="#" class="new-button" onclick="$(this).up('form').submit(); return false;"><b>Entra</b><i></i></a>
    <input type="hidden" name="embedded" value="true"/>
    <input type="hidden" name="page" value="<?php echo webgallery; ?>/embed/login_ok"/>
</form>
<p style="clear: both">
<a href="<?php echo PATH; ?>/account/password/forgot" id="forgot-password"><span>He olvidado mi clave/usuario</span></a>
</p>

</div>
<script type="text/javascript">
    AuthProviders.init();
    document.observe("dom:loaded", function() {
        Event.observe($("captcha-reload"), "click", function(e) {Event.stop(e); Utils.reloadCaptcha()});
    });
    function login_ok(token) {
        window.location.href = "<?php echo webgallery; ?>/rpx/?token=" + token + "";
    }
</script>

<script src="http://static.ak.connect.facebook.com/js/api_lib/v0.4/FeatureLoader.js.php/es_ES" type="text/javascript"></script>
<script type="text/javascript">
    FB.init("<?php echo getRpx("facebook_api"); ?>", "<?php echo webgallery; ?>/facebook/xd_receiver.htm");
</script>
<script type="text/javascript">
function logged_in() {
        window.location.replace("<?php echo webgallery; ?>/facebook/?connect=true&partner=FBC&next=<?php echo webgallery; ?>/embed/login_ok");

}
</script>
      </div>
    </div>
    <div class="signin-container-bottom"></div>

<?php 
require_once('templates/login_footer.php');
?>