<?php
####################################################
## InfoCMS - Emulacin del sitio de Habbo Hotel.  ##
####################################################
## Este Software basado en PHP, Curl y HTML es de ##
## libre edicin y cdigo libre, cualquier		  ##
## modificacin es permitida siempre y cuando	  ##
## respete para lo que fue diseado.			  ##
####################################################
## Copyright  2010. Kolesias123 & InfoSmart.	  ##
## http://www.infosmart.com.mx/					  ##
####################################################
## Copyright  2010. Sulake Corporation Oy.		  ##
## http://www.sulake.com/ ~ http://www.habbo.es/  ##
####################################################

require_once('../../Kernel/Init.php');

$do = CleanText($_GET['do'], true);
$userId = FilterText($_GET['userId'], true);

if($do == "start")
{
	$check = query_rows("SELECT null FROM users WHERE id = '" . $userId . "' AND id = '" . $myid . "' LIMIT 1");

	if($check > 0)
	{
		$editingSession = (time() + (30 * 60));
		$Users->updateUser("editingSession", $editingSession, $myid);
		
		$_SESSION['home']['editingSession_userId'] = $userId;
		
		$Users->restoreWaitingItems($myid);
		header("Location: " . SITE . "/home/" . $Users->getUser("username", $userId));
		exit;
	}
}
else if($do == "cancel")
{
	$check = query_rows("SELECT null FROM users_groups WHERE id = '" . $userId . "' AND id = '" . $myid . "' LIMIT 1");

	if($check > 0)
	{
		$Users->updateUser("editingSession", 0, $myid);
		
		unset($_SESSION['home']['editingSession_userId']);
		
		$Users->restoreWaitingItems($myid);
		header("Location: " . SITE . "/home/" . $Users->getUser("username", $userId));
		exit;
	}
}
else if($do == "save")
{
	$userId = $_SESSION['home']['editingSession_userId'];
	$stickienotes = FilterText($_POST['stickienotes']);
	$stickers = FilterText($_POST['stickers']);
	$widgets = FilterText($_POST['widgets']);
	$background = FilterText($_POST['background']);
	
	// Guardando Stickies
	if(!empty($stickienotes))
	{
		$theStickies = explode("/", $stickienotes);
	
		foreach($theStickies as $Stickie)
		{
			$stickie = explode(":", $Stickie);
			$Positions = explode(",", $stickie[1]);
		
			$stickieId = $stickie[0];
			$position_left = $Positions[0];
			$position_top = $Positions[1];
			$position_z = $Positions[2];
		
			$checkStickie = query("SELECT * FROM site_inventory_items WHERE userId = '" . $userId . "' AND id = '" . $stickieId  ."' AND isWaiting = '1' LIMIT 1");
			$checkAlreadyStickie = query("SELECT * FROM site_items WHERE userId = '" . $userId . "' AND id = '" . $stickieId ."' AND type = 'stickie' LIMIT 1");
		
			if(mysql_num_rows($checkStickie) > 0)
			{
				$row = mysql_fetch_assoc($checkStickie);
			
				$Users->newItem($userId, 0, $position_left, $position_top, $position_z, "", $row['skin'], "", "stickie");
				$Users->removeWaitingItem($myid, $stickieId);
			}
			else if(mysql_num_rows($checkAlreadyStickie) > 0)
			{
				$row = mysql_fetch_assoc($checkAlreadyStickie);
				
				$Users->updateItem($stickieId, $userId, 0, $position_left, $position_top, $position_z);
			}
		}
	}
	
	// Guardando Stickers
	if(!empty($stickers))
	{
		$theStickers = explode("/", $stickers);
	
		foreach($theStickers as $Sticker)
		{
			$sticker = explode(":", $Sticker);
			$Positions = explode(",", $sticker[1]);
		
			$stickerId = $sticker[0];
			$position_left = $Positions[0];
			$position_top = $Positions[1];
			$position_z = $Positions[2];
		
			$checkSticker = query("SELECT * FROM site_inventory_items WHERE userId = '" . $userId . "' AND id = '" . $stickerId ."' AND isWaiting = '1' LIMIT 1");
			$checkAlreadySticker = query("SELECT * FROM site_items WHERE userId = '" . $userId . "' AND id = '" . $stickerId ."' AND type = 'sticker' LIMIT 1");
		
			if(mysql_num_rows($checkSticker) > 0)
			{
				$row = mysql_fetch_assoc($checkSticker);
			
				$Users->newItem($userId, 0, $position_left, $position_top, $position_z, "", $row['skin'], "", "sticker");
				$Users->removeWaitingItem($myid, $stickerId);
			}
			else if(mysql_num_rows($checkAlreadySticker) > 0)
			{
				$row = mysql_fetch_assoc($checkAlreadySticker);
				
				$Users->updateItem($stickerId, $userId, 0, $position_left, $position_top, $position_z);
			}
		}
	}
	
	// Guardando Fondo
	if(!empty($background))
	{
		$theBackground = explode(":", $background);
	
		$Users->updateUser("bg_color", $theBackground[1], $myid);
	}
	
	// Guardando Widgets
	if(!empty($widgets))
	{
		$theWidgets = explode("/", $widgets);
	
		foreach($theWidgets as $Widget)
		{
			$widget = explode(":", $Widget);
			$Positions = explode(",", $widget[1]);
		
			$widgetId = $widget[0];
			$position_left = $Positions[0];
			$position_top = $Positions[1];
			$position_z = $Positions[2];
		
			$checkAlreadyWidget = query("SELECT * FROM site_items WHERE userId = '" . $userId . "' AND id = '" . $widgetId ."' AND type = 'widget' LIMIT 1");
		
			if(mysql_num_rows($checkAlreadyWidget) > 0)
			{				
				$Users->updateItem($widgetId, $userId, 0, $position_left, $position_top, $position_z);
			}
		}
	}
		
	$Users->updateUser("editingSession", 0, $myid);
	unset($_SESSION['home']['editingSession_userId']);
	
	echo "<script language=\"JavaScript\" type=\"text/javascript\">
waitAndGo('" . SITE . "/home/" . $Users->getUser("username", $userId). "');
</script>";
	exit;
}

header("Location: " . SITE);
exit;
?>