<?php
####################################################
## InfoCMS - Emulacin del sitio de Habbo Hotel.  ##
####################################################
## Este Software basado en PHP, Curl y HTML es de ##
## libre edicin y cdigo libre, cualquier		  ##
## modificacin es permitida siempre y cuando	  ##
## respete para lo que fue diseado.			  ##
####################################################
## Copyright  2010. Kolesias123 & InfoSmart.	  ##
## http://www.infosmart.com.mx/					  ##
####################################################
## Copyright  2010. Sulake Corporation Oy.		  ##
## http://www.sulake.com/ ~ http://www.habbo.es/  ##
####################################################

require_once('../../Kernel/Init.php');

if(!LOG_IN)
{
	header("Location: " . SITE);
	exit;
}

$pageNumber = FilterText($_GET['pageNumber'], true);
$pageSize = FilterText($_GET['pageSize'], true);
$categoryId = FilterText($_GET['categoryId'], true);

if(empty($categoryId) || !is_numeric($categoryId) || $categoryId < 0)
{
	$categoryId = 0;
}

if(empty($pageSize) || !is_numeric($pageSize) || $pageSize < 0)
{
	$pageSize = 30;
}

if(empty($pageNumber) || !is_numeric($pageNumber) || $pageNumber < 0)
{
	$pageNumber = 1;
}

$getFriends = query("SELECT * FROM users_friends WHERE (userID = '" . $myid . "' OR friendID = '" . $myid . "') AND accept = '1' AND categoryId = '" . $categoryId . "' LIMIT " . $pageSize . "");
?>
<?php if(mysql_num_rows($getFriends) == 0) { ?>
		
<p class="last" style="padding-top: 11px">No tienes amigos en esta categora</p>
		
<?php } else { ?>

<div id="friend-list-header-container" class="clearfix">
    <div id="friend-list-header">
        <div class="page-limit">
            <div class="big-icons friend-header-icon">Amigos
                <br />Ver
                <?php if($pageSize !== "30") { ?><a class="category-limit" id="pagelimit-30">30</a><?php } else { ?>30<?php } ?> |
				<?php if($pageSize !== "50") { ?><a class="category-limit" id="pagelimit-50">50</a><?php } else { ?>50<?php } ?> |
                <?php if($pageSize !== "100") { ?><a class="category-limit" id="pagelimit-100">100</a><?php } else { ?>100<?php } ?>
            </div>

        </div>
    </div>
    <div id="friend-list-paging">
        </div>
    </div>


<form id="friend-list-form">
    <table id="friend-list-table" border="0" cellpadding="0" cellspacing="0">
        <thead>

            <tr class="friend-list-header">
                <th class="friend-select" />
                <th class="friend-name">
                    <a class="sort">Nombre</a>
                </th>
                <th class="friend-login">
                    <a class="sort">ltimo acceso</a>
                </th>

                <th class="friend-remove">Quitar</th>
            </tr>
        </thead>
        <tbody>
			<?php
			$i = 1;
			while($row = mysql_fetch_assoc($getFriends)) {
			
			if($row['userID'] == $myid)
			{
				$userID = $Users->getUser("id", $row['friendID']);
			}
			else
			{
				$userID = $Users->getUser("id", $row['userID']);
			}
			
			$i++;
			?>
           <tr class="<?php echo $Core->IsEven($i); ?>">
               <td><input type="checkbox" name="friendList" value="<?php echo $userID; ?>" /></td>
               <td class="friend-name">
                <?php echo $Users->getUser("username", $userID); ?>
               </td>

               <td class="friend-login" title="<?php echo $Users->getUser("lastaccess", $userID); ?>"><?php echo $Core->calculateTime($Users->getUser("lastaccess", $userID)); ?></td>
               <td class="friend-remove"><div id="remove-friend-button-<?php echo $userID; ?>" class="friendmanagement-small-icons friendmanagement-remove remove-friend"></div></td>
           </tr>
		   <?php } ?>
        </tbody>
    </table>
    <a class="select-all" id="friends-select-all" href="#">Seleccionar todo</a> |
    <a class="deselect-all" href=#" id="friends-deselect-all">Quitar seleccin</a>

</form>

<div id="category-options" class="clearfix">
<select id="category-list-select" name="category-list">
    <option value="0">Amigos</option>
	<?php $getCategorys = query("SELECT * FROM users_friends_categorys WHERE userId = '" . $myid . "' LIMIT 5"); while($row = mysql_fetch_assoc($getCategorys)) { ?>
    <option value="<?php echo $row['id']; ?>"><?php echo $row['name']; ?></option>
    <?php } ?>
</select>
<div class="friend-del"><a class="new-button red-button cancel-icon" href="#" id="delete-friends"><b><span></span>Eliminar Amigos</b><i></i></a></div>
<div class="friend-move"><a class="new-button" href="#" id="move-friend-button"><b><span></span>Mover</b><i></i></a></div></div>
<?php } ?>