<?php
/*=========================================================+
|| # XdrCMS - Sistema de administracin de contenido Habbo.
|+=========================================================+
|| # Copyright  2010 Xdr. All rights reserved.
|| # http://www.xdrcms.es/
|+=========================================================+
|| # Lns 2010. The power of Proyects.
|| # Este es un Software de cdigo libre, libre edicin.
|+=========================================================+
|| # Todas las imagenes, scripts y temas
|| # Copyright (C) 2010 Sulake Ltd. All rights reserved.
|+=========================================================*/

require_once('includes/core.php');

if(LOGGED_IN){ header("Location:".PATH."/me"); exit; }

if(!isset($_SESSION['login']))
{
	$_SESSION['login']['enabled'] = true;
	$_SESSION['login']['tries'] = 0;
}

$_SESSION['page'] = PATH."/me";
$old_login = true;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" xmlns:og="http://opengraphprotocol.org/schema/" xmlns:fb="http://www.facebook.com/2008/fbml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>Habbo: Habbo Hotel </title>

<script type="text/javascript">
var andSoItBegins = (new Date()).getTime();
</script>
    <link rel="shortcut icon" href="<?php echo webgallery; ?>/v2/favicon.ico" type="image/vnd.microsoft.icon" />
    <link rel="alternate" type="application/rss+xml" title="Habbo: RSS" href="http://www.habbo.es/articles/rss.xml" />
<script src="<?php echo webgallery; ?>/static/js/libs2.js" type="text/javascript"></script>

<script src="<?php echo webgallery; ?>/static/js/visual.js" type="text/javascript"></script>
<script src="<?php echo webgallery; ?>/static/js/libs.js" type="text/javascript"></script>
<script src="<?php echo webgallery; ?>/static/js/common.js" type="text/javascript"></script>
<script src="<?php echo webgallery; ?>/static/js/fullcontent.js" type="text/javascript"></script>
<link rel="stylesheet" href="<?php echo webgallery; ?>/v2/styles/style.css" type="text/css" />
<link rel="stylesheet" href="<?php echo webgallery; ?>/v2/styles/buttons.css" type="text/css" />
<link rel="stylesheet" href="<?php echo webgallery; ?>/v2/styles/boxes.css" type="text/css" />
<link rel="stylesheet" href="<?php echo webgallery; ?>/v2/styles/tooltips.css" type="text/css" />
<link rel="stylesheet" href="<?php echo webgallery; ?>/v2/styles/changepassword.css" type="text/css" />
<link rel="stylesheet" href="<?php echo webgallery; ?>/v2/styles/process.css" type="text/css" />
<link rel="stylesheet" href="/styles/local/es.css" type="text/css" />

<script src="/js/local/es.js" type="text/javascript"></script>

<script type="text/javascript">
var ad_keywords = "";
var ad_key_value = "";
</script>
<script type="text/javascript">
document.habboLoggedIn = <?php if(isLoggedIn()){ echo "true"; } else { echo "false"; } ?>;
var habboName = <?php if(isLoggedIn()){ echo "\"".$name."\""; } else { echo "null"; } ?>;
var habboId = <?php if(isLoggedIn()){ echo $myrow['id']; } else { echo "null"; } ?>;
var facebookUser = <?php if($is_facebook || FACEBOOK_LOGGED_IN){ echo "true"; } else { echo "false"; } ?>;
var habboReqPath = "<?php echo webgallery; ?>/";
var habboStaticFilePath = "<?php echo webgallery; ?>";
var habboImagerUrl = "<?php echo webgallery; ?>/habbo-imaging/";
var habboPartner = "";
var habboDefaultClientPopupUrl = "<?php echo webgallery; ?>/me";
window.name = "habboMain";
if (typeof HabboClient != "undefined") { HabboClient.windowName = "<?php if(LOGGED_IN){ echo $myrow['client_token']; } else { echo "client"; } ?>"; }


</script>

<meta property="fb:app_id" content="<?php echo getRpx("facebook_id"); ?>" /> 



<meta name="description" content="<?php echo $description; ?>" />
<meta name="keywords" content="<?php echo $keywords; ?>" />



<!--[if IE 8]>
<link rel="stylesheet" href="<?php echo webgallery; ?>/v2/styles/ie8.css" type="text/css" />
<![endif]-->
<!--[if lt IE 8]>
<link rel="stylesheet" href="<?php echo webgallery; ?>/v2/styles/ie.css" type="text/css" />
<![endif]-->

<!--[if lt IE 7]>
<link rel="stylesheet" href="<?php echo webgallery; ?>/v2/styles/ie6.css" type="text/css" />
<script src="<?php echo webgallery; ?>/static/js/pngfix.js" type="text/javascript"></script>
<script type="text/javascript">
try { document.execCommand('BackgroundImageCache', false, true); } catch(e) {}
</script>

<style type="text/css">
body { behavior: url(/js/csshover.htc); }
</style>
<![endif]-->
<meta name="build" content="<?php echo $holocms['web']; ?>" />
</head>
<body id="popup" class="process-template">

<div id="overlay"></div>

<div id="change-password-form" style="display: none;">
    <div id="change-password-form-container" class="clearfix">
        <div id="change-password-form-title" class="bottom-border">Contrasea olvidada?</div>
        <div id="change-password-form-content" style="display: none;">
            <form method="post" action="<?php echo webgallery; ?>/account/password/identityResetForm" id="forgotten-pw-form">

                <input type="hidden" name="page" value="/login_popup?changePwd=true" />
                <span>Por favor, introduce el email de tu Habbo cuenta:</span>
                <div id="email" class="center bottom-border">
                    <input type="text" id="change-password-email-address" name="emailAddress" value="" class="email-address" maxlength="48"/>
                    <div id="change-password-error-container" class="error" style="display: none;">Por favor, introduce un e-mail</div>
                </div>
            </form>
            <div class="change-password-buttons">

                <a href="#" id="change-password-cancel-link">Cancelar</a>
                <a href="#" id="change-password-submit-button" class="new-button"><b>Enviar email</b><i></i></a>
            </div>
        </div>
        <div id="change-password-email-sent-notice" style="display: none;">
            <div class="bottom-border">
                <span>Te hemos enviado un email a tu direccin de correo electrnico con el link que necesitas clicar para cambiar tu contrasea.<br>

<br>

NOTA!: Recuerda comprobar tambin la carpeta de 'Spam'</span>
                <div id="email-sent-container"></div>
            </div>
            <div class="change-password-buttons">
                <a href="#" id="change-password-change-link">Atrs</a>
                <a href="#" id="change-password-success-button" class="new-button"><b>Cerrar</b><i></i></a>
            </div>

        </div>
    </div>
    <div id="change-password-form-container-bottom"></div>
</div>

<script type="text/javascript">
HabboView.add( function() {
     ChangePassword.init();


});
</script>
<div id="container">
	<div class="cbb process-template-box clearfix">
		<div id="content" class="wide">
					<div id="header" class="clearfix">

						<h1><a href="<?php echo PATH; ?>/"></a></h1>
<ul class="stats">
    <li class="stats-online"><span class="stats-fig"><?php echo $online_count; ?></span> <?php echo $shortname; ?>s conectados ahora!</li>
</ul>
					</div>
			<div id="process-content">
	        	<div id="column1" class="column">
			     		
				<div class="habblet-container ">		
	
						<div class="cbb clearfix green">

    <h2 class="title">Regstrate gratis</h2>
    <div class="box-content">
        <p>Regstrate gratis haciendo clic en el botn 'Crea tu <?php echo $shortname; ?>' de debajo. Si ya te has registrado, conctate en la parte derecha.</p>
        <div class="register-button clearfix">
            <a href="<?php echo PATH; ?>/register" onclick="HabboClient.closeHabboAndOpenMainWindow(this); return false;">Crea tu Habbo </a>
            <span></span>
        </div>                
    </div>

</div>
	
						
					
				</div>
				<script type="text/javascript">if (!$(document.body).hasClassName('process-template')) { Rounder.init(); }</script>
			 

</div>
<div id="column2" class="column">
			     		
				<div class="habblet-container ">		
	
						<div class="logincontainer">

<div class="cbb loginbox clearfix">
    <h2 class="title">Conctate</h2>       
    <div class="box-content clearfix" id="login-habblet">

        <form action="<?php echo webgallery; ?>/account/submit" method="post" class="login-habblet">
            
            <ul>

                <li>
                    <label for="login-username" class="login-text">Email</label>
                    <input tabindex="1" type="text" class="login-field" name="credentials.username" id="login-username" value="" maxlength="48" />
                </li>

                <li>

                    <label for="login-password" class="login-text">Contrasea</label>
                    <input tabindex="2" type="password" class="login-field" name="credentials.password" id="login-password" maxlength="32" />
                    <input type="submit" value="Conectar" class="submit" id="login-submit-button"/>
                    <a href="#" id="login-submit-new-button" class="new-button" style="margin-left: 0;display:none"><b style="padding-left: 10px; padding-right: 7px; width: 55px">Conectar</b><i></i></a>
                </li>



                
                <li>

<div id="fb-root"></div>
<script type="text/javascript">
    window.fbAsyncInit = function() {
        Cookie.erase("fbs_<?php echo getRpx("facebook_id"); ?>");
        FB.init({appId: '<?php echo getRpx("facebook_id"); ?>', status: true, cookie: true, xfbml: true});
        $(document).fire("fbevents:scriptLoaded");

    };
    window.assistedLogin = function(FBobject, optresponse) {
        
        Cookie.erase("fbs_<?php echo getRpx("facebook_id"); ?>");
        FB.init({appId: '<?php echo getRpx("facebook_id"); ?>', status: true, cookie: true, xfbml: true});

        permissions = 'user_birthday,email';
        defaultAction = function(response) {
            fbConnectUrl = "/facebook?connect=true";
            if (response.session) {
                window.location.replace(fbConnectUrl);
            }
        };

        if (typeof optresponse == 'undefined')
            FBobject.login(defaultAction, {perms:permissions});
        else
            FBobject.login(optresponse, {perms:permissions});

    };
    (function() {
        var e = document.createElement('script');
        e.async = true;
        e.src = document.location.protocol + '//connect.facebook.net/es_ES/all.js';
        document.getElementById('fb-root').appendChild(e);
    }());
</script>
<a class="fb_button fb_button_large" onclick="assistedLogin(FB); return false;">
    <span class="fb_button_text">Conectar va Facebook</span>
</a>
                </li>

                <li>

<div id="rpx-signin">
    <a class="rpxnow" onclick="return false;" href="https://login.habbo.com/openid/v2/signin?token_url=http%3A%2F%2Fwww.habbo.es/rpx">Ms vas de conexin</a>

</div>                </li>

                <li id="remember-me" class="no-label">
                    <input tabindex="4" type="checkbox" name="_login_remember_me" id="login-remember-me" value="true"/>
                    <label for="login-remember-me">Mantener conectado</label>
                </li>
                <li id="register-link" class="no-label">
                    <a href="<?php echo PATH; ?>/register" class="login-register-link" onclick="HabboClient.closeHabboAndOpenMainWindow(this); return false;"><span>Regstrate gratis</span></a>

                </li>
                <li class="no-label">
                    <a href="<?php echo PATH; ?>/account/password/forgot" id="forgot-password"><span>Contrasea olvidada?</span></a>
                </li>
            </ul>
<div id="remember-me-notification" class="bottom-bubble" style="display:none;">
	<div class="bottom-bubble-t"><div></div></div>
	<div class="bottom-bubble-c">
                Seleccionando esta opcin permanecers conectado a Habbo hasta que des a la opcin 'Desconectar'
	</div>

	<div class="bottom-bubble-b"><div></div></div>
</div>
        </form>

    </div>
</div>
</div>
<script type="text/javascript">
L10N.put("authentication.form.name", "Email");
L10N.put("authentication.form.password", "Contrasea");
HabboView.add(function() {LoginFormUI.init();});
HabboView.add(function() {window.setTimeout(function() {RememberMeUI.init("newfrontpage");}, 100)});
</script>
	
						
					
				</div>
				<script type="text/javascript">if (!$(document.body).hasClassName('process-template')) { Rounder.init(); }</script>

			 

</div>
<!--[if lt IE 7]>
<script type="text/javascript">
Pngfix.doPngImageFix();
</script>
<![endif]-->
<div id="footer">
	<p class="footer-links"><a href="https://help.habbo.es" target="_new">Contctanos</a> | <a href="https://help.habbo.es/forums" target="_new">FAQs</a> | <a href="http://www.sulake.com" target="_new">Sulake</a> | <a href="https://help.habbo.es/entries/368102-terminos-y-condiciones-del-servicio" target="_new">Trminos y Condiciones</a> | <a href="https://help.habbo.es/entries/368010-politica-de-privacidad" target="_new">Poltica de Privacidad</a>  | <a href="https://help.habbo.es/entries/367968-la-manera-habbo" target="_new">La Manera Habbo</a>  | <a href="/groups/ConsejosdeSeguridad">Seguridad</a>  | <a href="mailto:advertising.es@sulake.com" target="_new">Publicidad</a></p>

	<p class="copyright"> 2011 Xdr. Powered by <a href="http://xdrcms.com/" target="_blank">Xdr Ultimate CMS</a>.<br />Habbo Hotel es una marca registrada de Sulake Corporation Oy. Todos los derechos reservados</p>
</div>			</div>
        </div>
    </div>
</div>
<script type="text/javascript">
if (typeof HabboView != "undefined") {
	HabboView.run();
}
</script>



<script src="http://static.rpxnow.com/js/lib/rpx.js" type="text/javascript"></script>

<script type="text/javascript">
    RPXNOW.overlay = false;
    RPXNOW.language_preference = 'es'; 
    
    
</script>

<script src="http://www.google-analytics.com/ga.js" type="text/javascript"></script>
<script type="text/javascript">
var pageTracker = _gat._getTracker("UA-448325-19");
pageTracker._trackPageview();
</script>
    <!-- START Nielsen Online SiteCensus V6.0 -->
<!-- COPYRIGHT 2009 Nielsen Online -->
<script type="text/javascript" src="//secure-uk.imrworldwide.com/v60.js">
</script>
<script type="text/javascript">
 var theCid = "es-widantena3tv";
 if (top == self) {
   theCid = "es-antena3tv";
 }
 var pvar = { cid: theCid, content: "0", server: "secure-uk" };
 var trac = nol_t(pvar);
 trac.record().post();
</script>
<!-- END Nielsen Online SiteCensus V6.0 -->
    <!-- Start Quantcast tag -->

<script type="text/javascript">
_qoptions={
qacct:"p-b5UDx6EsiRfMI"
};
</script>

<script type="text/javascript" src="http://edge.quantserve.com/quant.js"></script>
<noscript>
<img src="http://pixel.quantserve.com/pixel/p-b5UDx6EsiRfMI.gif" style="display: none;" border="0" height="1" width="1" alt="Quantcast"/>
</noscript>
<!-- End Quantcast tag -->
    
    
        


</body>
</html>
